io.vertx.rx.java

## Class ObservableReadStream<T,R>

- java.lang.Object
- - io.vertx.rx.java.ObservableReadStream<T,R>

- All Implemented Interfaces:
    Action, Action1<Subscriber<? super R>>, Function, Observable.OnSubscribe<R>

      public class ObservableReadStream<T,R>
      extends Object
      implements Observable.OnSubscribe<R>

  Adapt a `ReadStream` to be an `Observable.OnSubscribe` that can be used to build `Observable`.

  The adapter supports reactive pull back-pressure.

  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_MAX_BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObservableReadStream(ReadStream<T> stream, java.util.function.Function<T,R> adapter)`
    `ObservableReadStream(ReadStream<T> stream, java.util.function.Function<T,R> adapter, long maxBufferSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `call(Subscriber<? super R> subscriber)`
    `long` | `getRequested()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_BUFFER_SIZE

          public static final long DEFAULT_MAX_BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ObservableReadStream

          public ObservableReadStream(ReadStream<T> stream,
                                      java.util.function.Function<T,R> adapter)

    - #### ObservableReadStream

          public ObservableReadStream(ReadStream<T> stream,
                                      java.util.function.Function<T,R> adapter,
                                      long maxBufferSize)

  - ### Method Detail

    - #### getRequested

          public long getRequested()

    - #### call

          public void call(Subscriber<? super R> subscriber)

      Specified by:
        `call` in interface `Action1<Subscriber<? super R>>`

Copyright © 2022 Eclipse. All rights reserved.